Migrating from Apryse Web Viewer to Angular PDF Viewer

26 Jul 20265 minutes to read

This guide helps Angular developers migrate applications built using Apryse WebViewer to the Angular PDF Viewer. It explains architectural differences, setup changes, feature mapping, and common API replacements specific to an Angular environment.

Overview

Apryse WebViewer is an SDK-style viewer that is mounted imperatively into a DOM element and exposes a rich JavaScript API surface.

Angular PDF Viewer provides a fully declarative Angular component-based experience, offering built-in UI, annotations, form fields, text search, and navigation through Angular modules and services—without requiring external runtime SDK initialization.

Key migration benefits:

  • Native Angular component integration
  • Simplified life cycle management
  • Modular feature injection (smaller bundles)
  • Built-in toolbar and UI consistency

Architecture Differences

Concept Apryse WebViewer Angular PDF Viewer
Integration style Imperative DOM-based SDK mount Declarative Angular component
Initialization Web Viewer({…}, element) <ejs-pdfviewer> component
UI SDK-provided toolbar Angular services & toolbar module
Events documentViewer.addEventListener Angular event bindings
Annotations AnnotationManager Built-in annotation module

Migration generally involves removing the Apryse SDK mount and replacing it with the ejs-pdfviewer Angular component.

Installation

Apryse WebViewer

npm install @pdftron/webviewer

Angular PDF Viewer

npm install @syncfusion/ej2-angular-pdfviewer

Module Setup

AppModule Configuration (Syncfusion)

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { PdfViewerModule } from '@syncfusion/ej2-angular-pdfviewer';

@NgModule({
  imports: [BrowserModule, PdfViewerModule],
  bootstrap: [AppComponent]
})
export class AppModule {}

Add the required Syncfusion styles in angular.json or styles.css:

@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-pdfviewer/styles/material.css';

Viewer Initialization Comparison

Apryse WebViewer (Angular)

import WebViewer from '@pdftron/webviewer';

ngAfterViewInit() {
  WebViewer(
    {
      path: 'lib/webviewer',
      initialDoc: 'https://pdftron.s3.amazonaws.com/downloads/pl/demo-annotated.pdf'
    },
    this.viewer.nativeElement
  ).then(instance => {
    const { documentViewer } = instance.Core;
    documentViewer.addEventListener('documentLoaded', () => {
      console.log('Document loaded');
    });
  });
}

Angular PDF Viewer

<ejs-pdfviewer
  id="pdfViewer"
  [documentPath]='https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf'
  [resourceUrl]='https://cdn.syncfusion.com/ej2/23.2.6/dist/ej2-pdfviewer-lib'
  (documentLoad)="onDocumentLoad()">
</ejs-pdfviewer>
onDocumentLoad(): void {
  console.log('Document loaded');
}

Feature Mapping

Feature Apryse Syncfusion Angular
Page navigation documentViewer APIs Built-in navigation module
Text search Search APIs enableTextSearch
Annotations annotationManager Annotation service
Form fields FormsManager FormFields module
Download / Print SDK methods download() / Print module

Event Handling

Apryse

documentViewer.addEventListener('pageNumberUpdated', (page) => {
  console.log(page);
});

Syncfusion

<ejs-pdfviewer (pageChange)="pageChange($event)"></ejs-pdfviewer>
pageChange(args: any): void {
  console.log(args.currentPageNumber);
}

Annotation Migration

Apryse

annotationManager.exportAnnotations();

Syncfusion

this.pdfViewer.exportAnnotation();

For importing persisted annotations:

this.pdfViewer.importAnnotation(annotationData);

Migration Checklist

  • Remove Apryse WebViewer initialization and DOM mounting code
  • Install @syncfusion/ej2-angular-pdfviewer
  • Import PdfViewerModule into Angular modules
  • Replace SDK initialization with <ejs-pdfviewer>
  • Inject only required services (Toolbar, Annotation, FormFields, TextSearch)
  • Map Apryse events to Angular PDF Viewer events
  • Adapt annotation and form-field persistence logic
  • Update licensing and deployment setup

Quick Migration Guide

  1. Create a migration branch
  2. Remove Apryse WebViewer SDK usage
  3. Install Angular PDF Viewer
  4. Add required styles and module imports
  5. Replace DOM-based viewer mount with Angular component
  6. Gradually enable features: navigation → search → annotation → forms
  7. Test large PDFs and annotation persistence

Reference: key Syncfusion PdfViewerComponent methods & events

See Also

Migrating from Apryse WebViewer to React PDF Viewer

22 Jul 20269 minutes to read

This guide assists developers in migrating applications built with Apryse WebViewer to the React PDF Viewer. It focuses on architectural differences, feature mapping, and required changes in a React environment.

Overview

Apryse WebViewer is a feature-rich PDF SDK that relies on a modular JavaScript API.

React PDF Viewer provides a native React component-based PDF viewing experience with built-in UI, annotations, forms, and performance optimizations, using an optimized JavaScript rendering engine and without external runtime dependencies.

Architecture notes

This guide focuses on replacing an Apryse WebViewer integration with a React PDF Viewer component. Key considerations when migrating include the integration pattern (imperative SDK mounts vs. a declarative React component), how UI/tooling is provided (hosted JS modules vs. injected services), and enable features and persistence for annotations and form fields. The instructions below are framed to help migrate code, event handlers, and persistence workflows to the PdfViewerComponent.

Installation

Apryse WebViewer

npm install @pdftron/webviewer

React PDF Viewer

npm install @syncfusion/ej2-react-pdfviewer

Viewer initialization comparison

Apryse WebViewer

import { useRef, useEffect } from 'react';
import WebViewer from '@pdftron/webviewer';

import './App.css';

function App() {
  const viewer = useRef(null);

  useEffect(() => {
    WebViewer(
      {
        path: 'lib/webviewer',
        licenseKey: 'YOUR_LICENSE_KEY',
        initialDoc: 'https://pdftron.s3.amazonaws.com/downloads/pl/demo-annotated.pdf',
      },
      viewer.current
    ).then((instance) => {
      // You can access the WebViewer instance here if needed
    });
  }, []);

  return (
    <div className="webviewer" ref={viewer}></div>
  );
}

export default App;

React PDF Viewer

import * as ReactDOM from 'react-dom/client';
import * as React from 'react';
import './index.css';
import { PdfViewerComponent, Toolbar, Magnification, Navigation, LinkAnnotation, BookmarkView,
         ThumbnailView, Print, TextSelection, Annotation, TextSearch, FormFields, FormDesigner, Inject} from '@syncfusion/ej2-react-pdfviewer';

function App() {
    return (<div>
    <div className='control-section'>
    {/* Render the PDF Viewer */}
      <PdfViewerComponent
        id="container"
        documentPath="https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf"
        resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
        style={{ 'height': '640px' }}>

         <Inject services={[ Toolbar, Magnification, Navigation, Annotation, LinkAnnotation, BookmarkView,
                             ThumbnailView, Print, TextSelection, TextSearch, FormFields, FormDesigner ]}/>

      </PdfViewerComponent>
    </div>
  </div>);
}
const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

Feature checklist (Syncfusion)

Event Handling

Apryse

Check Events Guide to know more about event handling in Apryse.

documentViewer.addEventListener('documentLoaded', () => {
  console.log('Document loaded');
});

Syncfusion

Check Syncfusion Events Guide to know more about event handling in React PDF Viewer.

<PdfViewerComponent
  documentLoad={() => console.log('Document loaded')}
/>

Migration Checklist

  • Remove WebViewer initialization and DOM-based mounting
  • Replace Apryse APIs with PdfViewerComponent configuration
  • Map annotation and form workflows to built-in services
  • Re-validate licensing and feature availability

Tutorial: quick migration recipe

Follow these concise steps to replace an Apryse WebViewer integration with PdfViewerComponent.

1) Prepare the project

  • Keep a working branch and add simple checks for current behavior (open document, navigate pages, annotation toggle).
  • Install React PDF Viewer:
npm install @syncfusion/ej2-react-pdfviewer

2) Add required CSS and resources

Add the Syncfusion CSS imports to your global stylesheet (e.g., src/index.css) and decide whether to use the CDN resourceUrl or host ej2-pdfviewer-lib locally in public/.

@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-pdfviewer/styles/material.css';

To host local resources, copy:

cp -R ./node_modules/@syncfusion/ej2-pdfviewer/dist/ej2-pdfviewer-lib public/ej2-pdfviewer-lib

3) Replace initialization

  • Apryse mounts a WebViewer instance into a DOM element; replace that mount with a React PdfViewerComponent. Move configuration options into PdfViewerComponent props and inject only required services.

4) Migrate features incrementally

  • Start with basic viewing (document load, page navigation), then add search, annotations, and forms.
  • For each feature, map the Apryse API usage to the Syncfusion method/event (see API mapping below), update back-end persistence for annotations if needed, and run the smoke checks.

Minimal file difference (before → after)

This small, copy-paste difference shows a single-file replacement pattern: remove the WebViewer DOM mount and replace with a React component that uses PdfViewerComponent.

Before (e.g., src/viewers/OldWebViewer.js):

import WebViewer from '@pdftron/webviewer';

WebViewer({
  path: '/lib',
  initialDoc: 'sample.pdf'
}, document.getElementById('viewer'))
.then(instance => {
  const { documentViewer, annotationManager } = instance.Core;
  // existing custom wiring
});

After (e.g., src/components/PdfViewer.jsx):

import React from 'react';
import { PdfViewerComponent, Toolbar, Inject } from '@syncfusion/ej2-react-pdfviewer';

export default function PdfViewer() {
  return (
    <PdfViewerComponent
      id="pdfViewer"
      documentPath="/assets/sample.pdf"
      resourceUrl="/assets/ej2-pdfviewer-lib"
      style={{ height: '700px' }}
    >
      <Inject services={[Toolbar]} />
    </PdfViewerComponent>
  );
}

API mapping: Apryse WebViewer → Syncfusion equivalents

Apryse WebViewer React PDF Viewer
WebViewer({ path, initialDoc }, element) Use <PdfViewerComponent documentPath="..." resourceUrl="..." /> and load() for programmatic loads.
instance.Core.documentViewer (page events) pageRenderInitiate, pageRenderComplete, pageChange, documentLoad events.
annotationManager (add/serialize annotations) addAnnotation(), importAnnotation(), exportAnnotation(), exportAnnotationsAsBase64String() methods and annotationAdd event.
documentViewer.getAnnotationManager() Use PdfViewerComponent methods for annotations and annotation events.
Custom UI modules Use the Toolbar service or ToolbarComponent for custom toolbar items and handle toolbarClick.
Text search APIs Enable enableTextSearch or call extractText() for programmatic text extraction.
Form field APIs Use formField* events: formFieldClick, validateFormFields, retrieveFormFields, exportFormFieldsAsObject.
Print / Export modules download() and Print service.

Expanded Migration Checklist (concrete actions)

  • Create a migration branch and add simple smoke tests for: document load, page navigation, text search, add annotation, and download.
  • Remove @pdftron/webviewer initialization and related DOM-manipulation code.
  • Install and import @syncfusion/ej2-react-pdfviewer and required CSS.
  • Replace the DOM mount with a React component: create PdfViewer.jsx / PdfViewer.tsx and update app routes.
  • Add resourceUrl configuration or copy ej2-pdfviewer-lib into public/ for local hosting.
  • Inject only necessary services (e.g., Toolbar, Annotation, FormFields, TextSearch) to limit bundle size.
  • Migrate event handlers:
    • Apryse documentLoaded → Syncfusion documentLoad.
    • Apryse page render callbacks → pageRenderComplete and pageRenderInitiate.
    • Apryse annotation events → Syncfusion annotationAdd, annotationRemove, etc.
  • Migrate annotation persistence: adapt serialization format or use Syncfusion export/import helpers.
  • Migrate form workflows to Syncfusion formField events and verify validation hooks.
  • Replace any WebViewer-specific custom UI with Syncfusion toolbar/custom toolbar items and toolbarClick handling.
  • Test thoroughly on supported browsers and performance with large PDFs.
  • Remove obsolete tests and code paths tied to Apryse.

Reference: key Syncfusion PdfViewerComponent methods & events

See Also